*{
    box-sizing: border-box;
}

body{
    margin:0px;
    background-color: black;
    color:white;
}

header{
    background-color:black;
    color:black;
    text-align: center;
    text-shadow: 1px 1px 2px rgb(213, 15, 213), 0 0 25px rgb(250, 161, 255), 0 0 5px rgb(255, 117, 248);
    padding: 10px;
}

main{
    margin-left: 20px;
    margin-right: 20px;
}

.navbar ul{
    list-style-type: none; /*removes bullet points*/
    background-color:rgb(54, 54, 54);
    padding: 0px;
    margin:0px;
    overflow: hidden;
}

.navbar a{ 
    color: white;
    text-decoration:none; /*removes underline from hyperlink*/
    padding: 15px;
    display: block;
    text-align: center;
}

.navbar a:hover{ /*for hovering over link*/
    background-color:rgb(34, 34, 34);
}

.navbar li{
    float: left;
}

footer{
    display: block;
    clear: both;
    color:rgb(213, 15, 213);
    background-color:rgb(54, 54, 54);
    text-align: center;
    padding: 3px;
}

/*makes the site more mobile friendly by stacking elements when screen width is under 600px*/
@media screen and (max-width:600px){
    aside, section, article{
        width:100%;
    }
}